const jq = require('node-jq');
const { env, drgWithAttach, environment, environmentFromService } = require('./util');

// BTR Data Access calls BTR Services in DRG and returns specified results

async function getNotificationBRS(attach, serialnumber) {
    id = 'brs.notificationQuery'
    const body = {
        id: id,
        role: 'sds.foces',
        endpoint: environment(environmentFromService.get(id)),
        fields: {
            SerialNumber: serialnumber,
        }
    };

    return await drgWithAttach(attach, body);
}

module.exports = {
    getNotificationBRS,
};
